#ifndef ICON_H_
#define ICON_H_

#include "gType.h"
#include "GraphLow.h"
#include "GraphBase.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "my_string.h"

class TIcon{		
	public:
		class TImageList *IconList;
		bool Active;
		unsigned int iSize;
		unsigned int Color;
		unsigned int ActiveImageIndex;
		unsigned int DeActiveImageIndex;
		int TabOrder;
	
		unsigned short Dx,Dy;
	
		TPoint OwnerLeftTop;	//Parrent Left Top;
		TRect Bound;
		TRect Content;
		unsigned int BorderColor;
	
	public:
		TIcon(void){};
		TIcon(u16 aX, u16 aY, u16 aW, u16 aH, u16 OwnerX, u16 OwnerY, u32 aSize, u32 aColor){
			Init(aX, aY, aW, aH, OwnerX, OwnerY, aSize, aColor);
		}
		void Init(u16 aX, u16 aY, u16 aW, u16 aH, u16 OwnerX, u16 OwnerY, u32 aSize, u32 aColor);

		void SetActive(void);
		void SetDeActive(void);

		void DrawBorder(void);
		void DrawContent(void);
		void DrawIcon(void);
		void Show(void);
		
		void SetActiveIndex(unsigned int aIndex);
		void SetDeActiveIndex(unsigned int aIndex);
		
};





#endif




